Bug 995577 - [RFE] Entities like Roles, policies and properties should have clearly readable names with spaces
[RFE] Entities like Roles, policies and properties should have clearly readab...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Pavel Stehlik
ux
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 14:46 EDT by mrao
Modified: 2015-11-11 09:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-11 09:02:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)

  None (edit)
Description mrao 2013-08-09 14:46:14 EDT
Description of problem: Currently, all filters, load balancing criteria and parameters in the Configure> Cluster policy details dialog appear without any spaces between words ( e.g CpuOvercommitDurationMins) or UserVmManager (in Configure> Roles). While the underlying reasons are understood, it seems like the UI is exposing stuff from under the hood and the end result looks less than polished and affects readability. The expectation that spaces should not exist in the REST-API is strong but that it should exist in the UI is basic. Therefore inconsistency is not an issue. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results: In the UI, spaces should display even if it means there is some transformation that happens between the records retrieved from the database and what gets displayed on the screen.


Additional info:
Comment 1 Itamar Heim 2014-01-26 03:15:35 EST
einav - thoughts? scope?
Comment 2 Einav Cohen 2014-01-27 14:42:46 EST
(In reply to Itamar Heim from comment #1)
> einav - thoughts? scope?

probably requires a lot of work compared to what we will eventually gain. Unfortunately I don't see us getting there any time soon.

Note You need to log in before you can comment on or make changes to this bug.